## cmocka 0.3.2

=== CMakeLists.txt ===
project(cmocka C)

# Required cmake version
cmake_minimum_required(VERSION 2.6.0)

# global needed variables
set(APPLICATION_NAME ${PROJECT_NAME})

set(APPLICATION_VERSION_MAJOR "0")
set(APPLICATION_VERSION_MINOR "3")
set(APPLICATION_VERSION_PATCH "2")

set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")

# SOVERSION scheme: CURRENT.AGE.REVISION
#   If there was an incompatible interface change:
#     Increment CURRENT. Set AGE and REVISION to 0
#   If there was a compatible interface change:
#     Increment AGE. Set REVISION to 0
#   If the source code was changed, but there were no interface changes:
#     Increment REVISION.
set(LIBRARY_VERSION "0.1.2")
set(LIBRARY_SOVERSION "0")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH
  ${CMAKE_SOURCE_DIR}/cmake/Modules
)

# add definitions
include(DefineCMakeDefaults)
include(DefinePlatformDefaults)
include(DefineCompilerFlags)
include(DefineInstallationPaths)
include(DefineOptions.cmake)
include(CPackConfig.cmake)

if (UNIT_TESTING)
    include(AddCMockaTest)
endif (UNIT_TESTING)

# disallow in-source build
include(MacroEnsureOutOfSourceBuild)
macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")

# config.h checks
include(ConfigureChecks.cmake)
configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# check subdirectories
add_subdirectory(doc)
add_subdirectory(include)
add_subdirectory(src)
if (UNIT_TESTING)
    add_subdirectory(example)
endif (UNIT_TESTING)

# pkg-config file
configure_file(cmocka.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmocka.pc)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/cmocka.pc
  DESTINATION
    ${LIB_INSTALL_DIR}/pkgconfig
  COMPONENT
    pkgconfig
)

=== example/chef_wrap/CMakeLists.txt ===
project(cmocka-wrap-examples C)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMOCKA_PUBLIC_INCLUDE_DIRS}
)

add_executable(waiter_test_wrap waiter_test_wrap.c chef.c)
target_link_libraries(waiter_test_wrap ${CMOCKA_SHARED_LIBRARY})

add_test(waiter_test_wrap ${CMAKE_CURRENT_BINARY_DIR}/waiter_test_wrap)

set_target_properties(waiter_test_wrap
        PROPERTIES
        LINK_FLAGS  "-Wl,--wrap=chef_cook"
)

=== debian/changelog ===
cmocka (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #731719)

 -- David Prévot <taffit@debian.org>  Sun, 08 Dec 2013 23:29:02 -0400

=== debian/control ===
Source: cmocka
Section: devel
Priority: extra
Maintainer: David Prévot <taffit@debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake, debhelper (>= 9)
Build-Depends-indep: doxygen
Standards-Version: 3.9.5
Homepage: http://cmocka.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/cmocka.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cmocka.git

Package: cmocka-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: documentation for the CMocka unit testing framework
 This package contains the documentation and examples for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

Package: libcmocka0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for the CMocka unit testing framework
 This is the major library for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

Package: libcmocka-dev
Architecture: any
Section: libdevel
Depends: libcmocka0 (= ${binary:Version}), ${misc:Depends}
Recommends: cmocka-doc
Description: development files for the CMocka unit testing framework
 This package contains the library development files for CMocka.
 .
 The idea of CMocka is that a test application only requires the
 standard C library and the CMocka library itself to minimize conflicts
 with standard C headers especially on a lot of different platforms.
 .
 Features:
  * Easy to use framework to write unit tests
  * Support for mock objects
  * Testing of memory leaks, buffer overflows and underflows
  * Platform and compiler independent

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DUNIT_TESTING=ON

build-indep:
	$(MAKE) -C obj-* doc

=== debian/watch ===
version=3
# (see #731725) options=pgpsigurlmangle=s/xz$/asc/ \
https://open.cryptomilk.org/projects/cmocka/files \
/attachments/download/\d+/cmocka-(.*).tar.xz

## cmocka 0.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "3")
-set(APPLICATION_VERSION_PATCH "2")
+set(APPLICATION_VERSION_MINOR "4")
+set(APPLICATION_VERSION_PATCH "1")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
@@ -19,7 +19,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.1.2")
+set(LIBRARY_VERSION "0.2.1")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -35,10 +35,6 @@
 include(DefineOptions.cmake)
 include(CPackConfig.cmake)
 
-if (UNIT_TESTING)
-    include(AddCMockaTest)
-endif (UNIT_TESTING)
-
 # disallow in-source build
 include(MacroEnsureOutOfSourceBuild)
 macro_ensure_out_of_source_build("${PROJECT_NAME} requires an out of source build. Please create a separate build directory and run 'cmake /path/to/${PROJECT_NAME} [options]' there.")
@@ -51,9 +47,13 @@
 add_subdirectory(doc)
 add_subdirectory(include)
 add_subdirectory(src)
+
 if (UNIT_TESTING)
-    add_subdirectory(example)
+    include(AddCMockaTest)
+    add_subdirectory(tests)
 endif (UNIT_TESTING)
+
+add_subdirectory(example)
 
 # pkg-config file
 configure_file(cmocka.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/cmocka.pc)
@@ -65,3 +65,18 @@
   COMPONENT
     pkgconfig
 )
+
+# cmake config files
+set(CMOCKA_LIBRARY_NAME @CMAKE_SHARED_LIBRARY_PREFIX@${PROJECT_NAME}@CMAKE_SHARED_LIBRARY_SUFFIX@)
+
+configure_file(${PROJECT_NAME}-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake @ONLY)
+configure_file(${PROJECT_NAME}-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake @ONLY)
+install(
+    FILES
+        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake
+        ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake
+    DESTINATION
+        ${CMAKE_INSTALL_DIR}/${PROJECT_NAME}
+    COMPONENT
+        devel
+)

=== example/CMakeLists.txt ===
project(cmocka-examples C)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMOCKA_PUBLIC_INCLUDE_DIRS}
)

set_source_files_properties(
    calculator.c
    allocate_module.c
    assert_module.c
    PROPERTIES
        COMPILE_DEFINITIONS UNIT_TESTING=1)

### The most simple test
add_executable(simple_test simple_test.c)
target_link_libraries(simple_test ${CMOCKA_SHARED_LIBRARY})

add_test(simple_test ${CMAKE_CURRENT_BINARY_DIR}/simple_test)

add_executable(calculator_test calculator.c calculator_test.c)
target_link_libraries(calculator_test ${CMOCKA_SHARED_LIBRARY})

add_test(calculator_test ${CMAKE_CURRENT_BINARY_DIR}/calculator_test)

add_executable(allocate_module_test allocate_module.c allocate_module_test.c)
target_link_libraries(allocate_module_test ${CMOCKA_SHARED_LIBRARY})

# This is a test that should detect leaks and overflows and will fail for that
add_test(allocate_module_test ${CMAKE_CURRENT_BINARY_DIR}/allocate_module_test)
set_tests_properties(
    allocate_module_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 3 test"
)

add_executable(assert_macro_test assert_macro.c assert_macro_test.c)
target_link_libraries(assert_macro_test ${CMOCKA_SHARED_LIBRARY})

add_test(assert_macro_test ${CMAKE_CURRENT_BINARY_DIR}/assert_macro_test)
set_tests_properties(
    assert_macro_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 2 test"
)

add_executable(assert_module_test assert_module.c assert_module_test.c)
target_link_libraries(assert_module_test ${CMOCKA_SHARED_LIBRARY})

add_test(assert_module_test ${CMAKE_CURRENT_BINARY_DIR}/assert_module_test)
set_tests_properties(
    assert_module_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 2 test"
)

add_executable(customer_database_test customer_database.c customer_database_test.c)
target_link_libraries(customer_database_test ${CMOCKA_SHARED_LIBRARY})

add_test(customer_database_test ${CMAKE_CURRENT_BINARY_DIR}/customer_database_test)

add_executable(key_value_test key_value.c key_value_test.c)
target_link_libraries(key_value_test ${CMOCKA_SHARED_LIBRARY})

add_test(key_value_test ${CMAKE_CURRENT_BINARY_DIR}/key_value_test)

add_executable(product_database_test product_database.c product_database_test.c)
target_link_libraries(product_database_test ${CMOCKA_SHARED_LIBRARY})

add_test(product_database_test ${CMAKE_CURRENT_BINARY_DIR}/product_database_test)
set_tests_properties(
    product_database_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 2 test"
)

# TODO Execute "$CMAKE_LINKER --help" and check for --wrap
if (${CMAKE_C_COMPILER_ID} MATCHES "(GNU|Clang)" AND NOT APPLE)
    add_subdirectory(chef_wrap)
endif()

=== tests/CMakeLists.txt ===
project(tests C)

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/include
)

set(CMOCKA_TESTS
    test_fixtures
    test_group_fixtures
    test_assert_macros
    test_assert_macros_fail
    test_exception_handler
    test_basics
    test_setup_fail)

foreach(_CMOCKA_TEST ${CMOCKA_TESTS})
    add_cmocka_test(${_CMOCKA_TEST} ${_CMOCKA_TEST}.c ${CMOCKA_SHARED_LIBRARY})
endforeach()

### Exceptions

# test_assert_macros_fail
set_tests_properties(
    test_assert_macros_fail
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 1 test"
)

# test_exception_handler
set_tests_properties(
    test_exception_handler
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "Test failed with exception: (Segmentation fault|Segmentation Fault|11)"
)

set_tests_properties(
    test_setup_fail
        PROPERTIES
        WILL_FAIL
        1
)

add_test (test_setup_fail_1_failed test_setup_fail)
set_tests_properties(
    test_setup_fail_1_failed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 1 test\\(s\\), listed below:"
)

add_test (test_setup_fail_1_passed test_setup_fail)
set_tests_properties(
    test_setup_fail_1_passed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  PASSED  \\] 1 test\\(s\\)."
)

add_test (test_setup_fail_match_failed test_setup_fail)
set_tests_properties(
    test_setup_fail_match_failed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] int_test_ignored_setup_fail"
)

add_test (test_setup_fail_match_passed test_setup_fail)
set_tests_properties(
    test_setup_fail_match_passed
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[       OK \\] int_test_success"
)

=== debian/changelog ===
cmocka (0.4.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Install configuration files for CMake (Closes: #749923)

 -- David Prévot <taffit@debian.org>  Fri, 30 May 2014 17:43:06 -0400

cmocka (0.4.1-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 0.4.1.

 -- David Prévot <taffit@debian.org>  Fri, 23 May 2014 10:30:40 -0400

cmocka (0.4.0-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 0.4.0.

  [ David Prévot ]
  * Use dh_doxygen to get rid of *.md5 and *.map files
  * Provide jQuery helper for cmocka-doc

 -- David Prévot <taffit@debian.org>  Sun, 13 Apr 2014 10:43:02 -0400

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
 Package: cmocka-doc
 Section: doc
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libjs-jquery, ${misc:Depends}
 Description: documentation for the CMocka unit testing framework
  This package contains the documentation and examples for CMocka.
  .
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Description: library for the CMocka unit testing framework
  This is the major library for CMocka.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --list-missing

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
		-DUNIT_TESTING=ON

override_dh_auto_build-indep:
	$(MAKE) -C obj-* doc

override_dh_auto_install-indep:
	dh_install obj-*/doc/html usr/share/doc/cmocka-doc
	dh_doxygen

## cmocka 1.0.1

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -7,19 +7,36 @@
 )
 
 set(CMOCKA_TESTS
+    test_alloc
+    test_group_setup_fail
     test_fixtures
     test_group_fixtures
     test_assert_macros
     test_assert_macros_fail
     test_exception_handler
     test_basics
+    test_skip
     test_setup_fail)
 
 foreach(_CMOCKA_TEST ${CMOCKA_TESTS})
-    add_cmocka_test(${_CMOCKA_TEST} ${_CMOCKA_TEST}.c ${CMOCKA_SHARED_LIBRARY})
+    add_cmocka_test(${_CMOCKA_TEST} ${_CMOCKA_TEST}.c ${CMOCKA_STATIC_LIBRARY})
 endforeach()
 
+### Special Cases
+if (${CMAKE_C_COMPILER_ID} MATCHES "(GNU|Clang)")
+    set_source_files_properties(test_cmockery.c PROPERTIES COMPILE_FLAGS "-Wno-deprecated-declarations")
+endif()
+add_cmocka_test(test_cmockery test_cmockery.c ${CMOCKA_STATIC_LIBRARY})
+
 ### Exceptions
+
+# test_assert_macros_fail
+set_tests_properties(
+    test_skip
+        PROPERTIES
+        PASS_REGULAR_EXPRESSION
+        "\\[  SKIPPED \\] test_check_skip"
+)
 
 # test_assert_macros_fail
 set_tests_properties(
@@ -30,15 +47,30 @@
 )
 
 # test_exception_handler
+if (WIN32)
+    set_tests_properties(
+        test_exception_handler
+            PROPERTIES
+            PASS_REGULAR_EXPRESSION
+            "EXCEPTION_ACCESS_VIOLATION occurred at")
+else()
+    set_tests_properties(
+        test_exception_handler
+            PROPERTIES
+            PASS_REGULAR_EXPRESSION
+            "Test failed with exception: (Segmentation fault|Segmentation Fault|11)"
+    )
+endif (WIN32)
+
 set_tests_properties(
-    test_exception_handler
+    test_setup_fail
         PROPERTIES
-        PASS_REGULAR_EXPRESSION
-        "Test failed with exception: (Segmentation fault|Segmentation Fault|11)"
+        WILL_FAIL
+        1
 )
 
 set_tests_properties(
-    test_setup_fail
+    test_group_setup_fail
         PROPERTIES
         WILL_FAIL
         1
@@ -49,7 +81,7 @@
     test_setup_fail_1_failed
         PROPERTIES
         PASS_REGULAR_EXPRESSION
-        "\\[  FAILED  \\] 1 test\\(s\\), listed below:"
+        "\\[  ERROR   \\] int_test_ignored"
 )
 
 add_test (test_setup_fail_1_passed test_setup_fail)
@@ -65,7 +97,7 @@
     test_setup_fail_match_failed
         PROPERTIES
         PASS_REGULAR_EXPRESSION
-        "\\[  FAILED  \\] int_test_ignored_setup_fail"
+        "\\[  ERROR   \\] int_test_ignored"
 )
 
 add_test (test_setup_fail_match_passed test_setup_fail)
@@ -75,3 +107,65 @@
         PASS_REGULAR_EXPRESSION
         "\\[       OK \\] int_test_success"
 )
+
+### Output formats
+
+# test output of success, failure, skip, fixture failure
+set(OUTPUT_TESTS
+    test_basics
+    test_assert_macros_fail
+    test_skip
+    test_setup_fail)
+
+set(TEST_OUTPUT_FMTS
+    tap
+    subunit
+    xml)
+
+set(test_basics_tap_out
+    "^1\\.\\.2[ \n\r]+ok 1 - null_test_success")
+set(test_assert_macros_fail_tap_out
+    "^1\\.\\.1[ \n\r]+not ok 1 - test_assert_return_code_fail")
+set(test_skip_tap_out
+    "not ok 1 # SKIP")
+set(test_setup_fail_tap_out
+    "not ok 1 - int_test_ignored Could not run the test - check test fixtures")
+
+set(test_basics_subunit_out
+    "^test: null_test_success[ \n\r]+success: null_test_success")
+set(test_assert_macros_fail_subunit_out
+    "failure: test_assert_return_code_fail \\[")
+set(test_skip_subunit_out
+    "^test: test_check_skip[ \n\r]+skip: test_check_skip")
+set(test_setup_fail_subunit_out
+    "error: int_test_ignored \\[ Could not run the test - check test fixtures \\]")
+
+set(test_basics_xml_out
+    "<testsuite name=\"tests\" time=\"[0-9.]+\" tests=\"2\" failures=\"0\" errors=\"0\" skipped=\"0\" >[ \n\r]+<testcase name=\"null_test_success\" time=\"[0-9.]+\" >.*</testcase>")
+set(test_assert_macros_fail_xml_out
+    "<testcase name=\"test_assert_return_code_fail\" time=\"[0-9.]+\" >[ \n\r]+<failure>")
+set(test_skip_xml_out
+    "<testcase name=\"test_check_skip\" time=\"[0-9.]+\" >[ \n\r]+<skipped/>")
+set(test_setup_fail_xml_out
+    "<testcase name=\"int_test_ignored\" time=\"[0-9.]+\" >[ \n\r]+<failure><!\\[CDATA\\[Test setup failed\\]\\]></failure>")
+
+foreach(_TEST_OUTPUT_FMT ${TEST_OUTPUT_FMTS})
+    foreach(_OUTPUT_TEST ${OUTPUT_TESTS})
+        set(TEST_NAME ${_OUTPUT_TEST}_${_TEST_OUTPUT_FMT})
+        add_test(${TEST_NAME} ${_OUTPUT_TEST})
+
+        set_property(
+            TEST
+            ${TEST_NAME}
+            PROPERTY
+                ENVIRONMENT CMOCKA_MESSAGE_OUTPUT=${_TEST_OUTPUT_FMT}
+            )
+
+            set_tests_properties(
+                    ${TEST_NAME}
+                    PROPERTIES
+                    PASS_REGULAR_EXPRESSION
+                    ${${TEST_NAME}_out}
+            )
+    endforeach()
+endforeach()

=== debian/changelog ===
cmocka (1.0.1-2) unstable; urgency=medium

  * Upload to unstable since Jessie has been released

 -- David Prévot <taffit@debian.org>  Fri, 15 May 2015 11:14:35 -0400

cmocka (1.0.1-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * include: Add macro for assert_ptr_equal().
  * Bump version to 1.0.1

 -- David Prévot <taffit@debian.org>  Sun, 15 Mar 2015 10:51:14 -0400

cmocka (1.0.0-1) experimental; urgency=medium

  [ Andreas Schneider ]
  * Add cmockery legacy header.
  * Bump version to 1.0.0.
  * Fix building with newer gcc versions (Closes: #777818)

  [ David Prévot ]
  * Update watch file
  * Update copyright
  * Install a cmockery header
  * Bump standards version to 3.9.6
  * Upload to experimental to respect the freeze

 -- David Prévot <taffit@debian.org>  Sun, 22 Feb 2015 15:44:49 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
 Build-Depends: cmake, debhelper (>= 9)
 Build-Depends-indep: doxygen
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://cmocka.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/cmocka.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cmocka.git

=== debian/rules ===
--- 
+++ 
@@ -7,11 +7,20 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) \
+		-DWITH_CMOCKERY_SUPPORT=ON \
 		-DUNIT_TESTING=ON
 
 override_dh_auto_build-indep:
 	$(MAKE) -C obj-* doc
 
+override_dh_link-arch:
+	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/libcmocka.so \
+		usr/lib/$(DEB_HOST_MULTIARCH)/libcmockery.so \
+		-plibcmocka-dev
+
 override_dh_auto_install-indep:
 	dh_install obj-*/doc/html usr/share/doc/cmocka-doc
 	dh_doxygen
+
+get-orig-source:
+	uscan --verbose --force --rename

=== debian/watch ===
version=3
# (see #731725) options=pgpsigurlmangle=s/xz$/asc/ \
https://cmocka.org/files/1.0/cmocka-(.*).tar.xz

## cmocka 1.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,8 +6,8 @@
 # global needed variables
 set(APPLICATION_NAME ${PROJECT_NAME})
 
-set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "4")
+set(APPLICATION_VERSION_MAJOR "1")
+set(APPLICATION_VERSION_MINOR "1")
 set(APPLICATION_VERSION_PATCH "1")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
@@ -19,7 +19,7 @@
 #     Increment AGE. Set REVISION to 0
 #   If the source code was changed, but there were no interface changes:
 #     Increment REVISION.
-set(LIBRARY_VERSION "0.2.1")
+set(LIBRARY_VERSION "0.4.1")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -34,6 +34,7 @@
 include(DefineInstallationPaths)
 include(DefineOptions.cmake)
 include(CPackConfig.cmake)
+include(CheckSymbolExists)
 
 # disallow in-source build
 include(MacroEnsureOutOfSourceBuild)
@@ -42,6 +43,11 @@
 # config.h checks
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+
+# MinGW DLL Naming Workaround
+if (MINGW)
+    set(CMAKE_SHARED_LIBRARY_PREFIX "")
+endif (MINGW)
 
 # check subdirectories
 add_subdirectory(doc)
@@ -67,7 +73,7 @@
 )
 
 # cmake config files
-set(CMOCKA_LIBRARY_NAME @CMAKE_SHARED_LIBRARY_PREFIX@${PROJECT_NAME}@CMAKE_SHARED_LIBRARY_SUFFIX@)
+set(CMOCKA_LIBRARY_NAME ${CMAKE_SHARED_LIBRARY_PREFIX}${PROJECT_NAME}${CMAKE_SHARED_LIBRARY_SUFFIX})
 
 configure_file(${PROJECT_NAME}-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config.cmake @ONLY)
 configure_file(${PROJECT_NAME}-config-version.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/${PROJECT_NAME}-config-version.cmake @ONLY)

=== example/CMakeLists.txt ===
project(cmocka-examples C)

include_directories(
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMOCKA_PUBLIC_INCLUDE_DIRS}
)

set_source_files_properties(
    calculator.c
    allocate_module.c
    assert_module.c
    PROPERTIES
        COMPILE_DEFINITIONS UNIT_TESTING=1)


if (WIN32 OR CYGWIN OR MINGW)
    set(CMOCKA_DLL_LIB ${CMAKE_BINARY_DIR}/src)
    file(TO_NATIVE_PATH "${CMOCKA_DLL_PATH}" CMOCKA_DLL_PATH)
    set(DLL_PATH_ENV "${CMOCKA_DLL_PATH};$ENV{PATH}")

    #
    # IMPORTANT NOTE: The set_tests_properties(), below, internally
    # stores its name/value pairs with a semicolon delimiter.
    # because of this we must protect the semicolons in the path
    #
    string(REPLACE ";" "\\;" DLL_PATH_ENV "${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)


### The most simple test
add_executable(simple_test simple_test.c)
target_link_libraries(simple_test ${CMOCKA_SHARED_LIBRARY})

add_test(simple_test ${CMAKE_CURRENT_BINARY_DIR}/simple_test)
if (WIN32 OR CYGWIN OR MINGW)
    set_tests_properties(simple_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)

### Calulator test
#TODO investigate dll jmp issue on MinGW
if (NOT MINGW OR WITH_STATIC_LIB)
    add_executable(calculator_test calculator.c calculator_test.c)
    add_test(calculator_test ${CMAKE_CURRENT_BINARY_DIR}/calculator_test)
    if (WIN32 OR CYGWIN)
        set_tests_properties(calculator_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
    endif (WIN32 OR CYGWIN)

    if (MINGW)
        target_link_libraries(calculator_test ${CMOCKA_STATIC_LIBRARY})
    else (MINGW)
        target_link_libraries(calculator_test ${CMOCKA_SHARED_LIBRARY})
    endif (MINGW)

    if (WIN32 OR CYGWIN OR MINGW)
        set_tests_properties(calculator_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
    endif (WIN32 OR CYGWIN OR MINGW)
endif (NOT MINGW OR WITH_STATIC_LIB)

### Allocate module test
add_executable(allocate_module_test allocate_module.c allocate_module_test.c)
target_link_libraries(allocate_module_test ${CMOCKA_SHARED_LIBRARY})

# This is a test that should detect leaks and overflows and will fail for that
add_test(allocate_module_test ${CMAKE_CURRENT_BINARY_DIR}/allocate_module_test)
if (WIN32 OR CYGWIN OR MINGW)
    set_tests_properties(allocate_module_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)

set_tests_properties(
    allocate_module_test
        PROPERTIES
            WILL_FAIL 1
)

### Assert macro test
add_executable(assert_macro_test assert_macro.c assert_macro_test.c)
target_link_libraries(assert_macro_test ${CMOCKA_SHARED_LIBRARY})

add_test(assert_macro_test ${CMAKE_CURRENT_BINARY_DIR}/assert_macro_test)
set_tests_properties(
    assert_macro_test
        PROPERTIES
        WILL_FAIL 1
)
if (WIN32 OR CYGWIN OR MINGW)
    set_tests_properties(assert_macro_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)

### Assert module test
add_executable(assert_module_test assert_module.c assert_module_test.c)
target_link_libraries(assert_module_test ${CMOCKA_SHARED_LIBRARY})

add_test(assert_module_test ${CMAKE_CURRENT_BINARY_DIR}/assert_module_test)
set_tests_properties(
    assert_module_test
        PROPERTIES
        WILL_FAIL 1
)
if (WIN32 OR CYGWIN OR MINGW)
    set_tests_properties(assert_module_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)

### Customer database test
add_executable(customer_database_test customer_database.c customer_database_test.c)
target_link_libraries(customer_database_test ${CMOCKA_SHARED_LIBRARY})

add_test(customer_database_test ${CMAKE_CURRENT_BINARY_DIR}/customer_database_test)
if (WIN32 OR CYGWIN OR MINGW)
    set_tests_properties(customer_database_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)

### Key Value Test
add_executable(key_value_test key_value.c key_value_test.c)
target_link_libraries(key_value_test ${CMOCKA_SHARED_LIBRARY})

add_test(key_value_test ${CMAKE_CURRENT_BINARY_DIR}/key_value_test)
if (WIN32 OR CYGWIN OR MINGW)
    set_tests_properties(key_value_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)

### Product database test
add_executable(product_database_test product_database.c product_database_test.c)
target_link_libraries(product_database_test ${CMOCKA_SHARED_LIBRARY})

add_test(product_database_test ${CMAKE_CURRENT_BINARY_DIR}/product_database_test)
set_tests_properties(
    product_database_test
        PROPERTIES
        PASS_REGULAR_EXPRESSION
        "\\[  FAILED  \\] 2 test"
)
if (WIN32 OR CYGWIN OR MINGW)
    set_tests_properties(product_database_test PROPERTIES ENVIRONMENT "PATH=${DLL_PATH_ENV}")
endif (WIN32 OR CYGWIN OR MINGW)

# TODO Execute "$CMAKE_LINKER --help" and check for --wrap
if (${CMAKE_C_COMPILER_ID} MATCHES "(GNU|Clang)" AND NOT APPLE)
    add_subdirectory(chef_wrap)
endif()

=== include/CMakeLists.txt ===
project(cmocka-headers C)

set(cmocka_HDRS
  cmocka.h
  cmocka_pbc.h
)

install(
  FILES
    ${cmocka_HDRS}
  DESTINATION
    ${INCLUDE_INSTALL_DIR}
  COMPONENT
    headers
)

if (WITH_CMOCKERY_SUPPORT)
    install(
      FILES
        cmockery/cmockery.h
        cmockery/pbc.h
      DESTINATION
        ${INCLUDE_INSTALL_DIR}/cmockery
      COMPONENT
        headers
    )
endif()

=== src/CMakeLists.txt ===
project(cmocka-library C)

set(CMOCKA_PLATFORM_INCLUDE CACHE PATH "Path to include directory for cmocka_platform.h")

set(CMOCKA_PUBLIC_INCLUDE_DIRS
    ${CMAKE_SOURCE_DIR}/include
    ${CMOCKA_PLATFORM_INCLUDE}
    CACHE INTERNAL "cmocka public include directories"
)

set(CMOCKA_PRIVATE_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}
)

set(CMOCKA_SHARED_LIBRARY
    cmocka_shared
    CACHE INTERNAL "cmocka shared library"
)

if (WITH_STATIC_LIB)
    set(CMOCKA_STATIC_LIBRARY
        cmocka_static
        CACHE INTERNAL "cmocka static library"
    )
endif (WITH_STATIC_LIB)

set(CMOCKA_LINK_LIBRARIES
    ${CMOCKA_REQUIRED_LIBRARIES}
    CACHE INTERNAL "cmocka link libraries"
)

set(cmocka_SRCS
    cmocka.c
)

if (WIN32)
    set(cmocka_SRCS
        ${cmocka_SRCS}
        cmocka.def
    )
endif (WIN32)

include_directories(
    ${CMOCKA_PUBLIC_INCLUDE_DIRS}
    ${CMOCKA_PRIVATE_INCLUDE_DIRS}
)

add_definitions(-DHAVE_CONFIG_H=1)
if (CMOCKA_PLATFORM_INCLUDE)
    add_definitions(-DCMOCKA_PLATFORM_INCLUDE=1)
endif()

add_library(${CMOCKA_SHARED_LIBRARY} SHARED ${cmocka_SRCS})

target_link_libraries(${CMOCKA_SHARED_LIBRARY} ${CMOCKA_LINK_LIBRARIES})
set_target_properties(
    ${CMOCKA_SHARED_LIBRARY}
        PROPERTIES
            OUTPUT_NAME
                cmocka
            DEFINE_SYMBOL
                CMOCKA_EXPORTS
)

if (NOT WIN32)
    set_target_properties(
        ${CMOCKA_SHARED_LIBRARY}
            PROPERTIES
                VERSION
                    ${LIBRARY_VERSION}
                SOVERSION
                    ${LIBRARY_SOVERSION}
    )
endif (NOT WIN32)

install(
    TARGETS ${CMOCKA_SHARED_LIBRARY}
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
    COMPONENT libraries
)

if (WITH_STATIC_LIB)
    add_library(${CMOCKA_STATIC_LIBRARY} STATIC ${cmocka_SRCS})

    set_target_properties(
        ${CMOCKA_STATIC_LIBRARY}
            PROPERTIES
                VERSION
                    ${LIBRARY_VERSION}
                SOVERSION
                    ${LIBRARY_SOVERSION}
                OUTPUT_NAME
                    cmocka
    )

    install(
        TARGETS ${CMOCKA_STATIC_LIBRARY}
        DESTINATION ${LIB_INSTALL_DIR}
        COMPONENT libraries
    )
endif (WITH_STATIC_LIB)

if (POLICY CMP0026)
    cmake_policy(SET CMP0026 OLD)
endif()

#
# In order to run tests we will need to set the approriate environment
# variable so that the test program can locate its dependent DLL's. First
# we want to know what directory our dependent DLL was installed into:
#
get_target_property(_cmocka_dir cmocka_shared LOCATION_${CMOCKA_BUILD_TYPE})
get_filename_component(_cmocka_path "${_cmocka_dir}" PATH)
file(TO_NATIVE_PATH "${_cmocka_path}" _cmocka_path_native)

set(CMOCKA_DLL_PATH "${_cmocka_path_native}" PARENT_SCOPE)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,15 +8,21 @@
 
 set(CMOCKA_TESTS
     test_alloc
+    test_group_setup_assert
     test_group_setup_fail
     test_fixtures
     test_group_fixtures
+    test_groups
     test_assert_macros
     test_assert_macros_fail
     test_exception_handler
     test_basics
     test_skip
-    test_setup_fail)
+    test_setup_fail
+    test_ordering
+    test_ordering_fail
+    test_returns
+    test_returns_fail)
 
 foreach(_CMOCKA_TEST ${CMOCKA_TESTS})
     add_cmocka_test(${_CMOCKA_TEST} ${_CMOCKA_TEST}.c ${CMOCKA_STATIC_LIBRARY})
@@ -30,20 +36,36 @@
 
 ### Exceptions
 
+# test_skip
+set_tests_properties(
+    test_skip
+        PROPERTIES
+        PASS_REGULAR_EXPRESSION
+        "\\[  SKIPPED \\] test_check_skip"
+)
+
 # test_assert_macros_fail
 set_tests_properties(
-    test_skip
-        PROPERTIES
-        PASS_REGULAR_EXPRESSION
-        "\\[  SKIPPED \\] test_check_skip"
-)
-
-# test_assert_macros_fail
-set_tests_properties(
     test_assert_macros_fail
         PROPERTIES
         PASS_REGULAR_EXPRESSION
         "\\[  FAILED  \\] 1 test"
+)
+
+# test_ordering ensure proper failures
+set_tests_properties(
+    test_ordering_fail
+        PROPERTIES
+        PASS_REGULAR_EXPRESSION
+        "\\[  FAILED  \\] 7 test"
+)
+
+# test_returns_fail ensure proper failures
+set_tests_properties(
+    test_returns_fail
+        PROPERTIES
+        PASS_REGULAR_EXPRESSION
+        "\\[  FAILED  \\] 3 test"
 )
 
 # test_exception_handler
@@ -70,6 +92,13 @@
 )
 
 set_tests_properties(
+    test_group_setup_assert
+        PROPERTIES
+        WILL_FAIL
+        1
+)
+
+set_tests_properties(
     test_group_setup_fail
         PROPERTIES
         WILL_FAIL
@@ -114,6 +143,7 @@
 set(OUTPUT_TESTS
     test_basics
     test_assert_macros_fail
+    test_groups
     test_skip
     test_setup_fail)
 
@@ -123,31 +153,64 @@
     xml)
 
 set(test_basics_tap_out
-    "^1\\.\\.2[ \n\r]+ok 1 - null_test_success")
+    "^1\\.\\.2"
+    "ok 1 - null_test_success"
+    "ok 2 - int_test_success"
+    "# ok - tests")
 set(test_assert_macros_fail_tap_out
-    "^1\\.\\.1[ \n\r]+not ok 1 - test_assert_return_code_fail")
+    "^1\\.\\.1"
+    "not ok 1 - test_assert_return_code_fail"
+    "#[^\n\r]+[\n\r]#[^\n\r]+[\n\r]# not ok - tests")
+set(test_groups_tap_out
+    "^1\\.\\.1"
+    "ok 1 - null_test_success"
+    "# ok - test_group1"
+    "1\\.\\.1"
+    "ok 1 - int_test_success"
+    "# ok - test_group2")
 set(test_skip_tap_out
     "not ok 1 # SKIP")
 set(test_setup_fail_tap_out
     "not ok 1 - int_test_ignored Could not run the test - check test fixtures")
 
 set(test_basics_subunit_out
-    "^test: null_test_success[ \n\r]+success: null_test_success")
+    "^test: null_test_success"
+    "success: null_test_success")
 set(test_assert_macros_fail_subunit_out
     "failure: test_assert_return_code_fail \\[")
+set(test_groups_subunit_out
+    "^test: null_test_success"
+    "success: null_test_success")
 set(test_skip_subunit_out
-    "^test: test_check_skip[ \n\r]+skip: test_check_skip")
+    "^test: test_check_skip"
+    "skip: test_check_skip")
 set(test_setup_fail_subunit_out
     "error: int_test_ignored \\[ Could not run the test - check test fixtures \\]")
 
 set(test_basics_xml_out
-    "<testsuite name=\"tests\" time=\"[0-9.]+\" tests=\"2\" failures=\"0\" errors=\"0\" skipped=\"0\" >[ \n\r]+<testcase name=\"null_test_success\" time=\"[0-9.]+\" >.*</testcase>")
+    "<testsuite name=\"tests\" time=\"[0-9.]+\" tests=\"2\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
+    "<testcase name=\"null_test_success\" time=\"[0-9.]+\" >.*</testcase>")
 set(test_assert_macros_fail_xml_out
-    "<testcase name=\"test_assert_return_code_fail\" time=\"[0-9.]+\" >[ \n\r]+<failure>")
+    "<testcase name=\"test_assert_return_code_fail\" time=\"[0-9.]+\" >"
+    "<failure>")
+set(test_groups_xml_out
+    "^<\\?xml version=\"1.0\" encoding=\"UTF-8\" \\?>"
+    "<testsuites>"
+    "<testsuite name=\"test_group1\" time=\"[0-9.]+\" tests=\"1\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
+    "<testcase name=\"null_test_success\" time=\"[0-9.]+\" >"
+    "</testcase>"
+    "</testsuite>"
+    ".*<testsuite name=\"test_group2\" time=\"[0-9.]+\" tests=\"1\" failures=\"0\" errors=\"0\" skipped=\"0\" >"
+    "<testcase name=\"int_test_success\" time=\"[0-9.]+\" >"
+    "</testcase>"
+    "</testsuite>"
+    "</testsuites>")
 set(test_skip_xml_out
-    "<testcase name=\"test_check_skip\" time=\"[0-9.]+\" >[ \n\r]+<skipped/>")
+    "<testcase name=\"test_check_skip\" time=\"[0-9.]+\" >"
+    "<skipped/>")
 set(test_setup_fail_xml_out
-    "<testcase name=\"int_test_ignored\" time=\"[0-9.]+\" >[ \n\r]+<failure><!\\[CDATA\\[Test setup failed\\]\\]></failure>")
+    "<testcase name=\"int_test_ignored\" time=\"[0-9.]+\" >"
+    "<failure><!\\[CDATA\\[Test setup failed\\]\\]></failure>")
 
 foreach(_TEST_OUTPUT_FMT ${TEST_OUTPUT_FMTS})
     foreach(_OUTPUT_TEST ${OUTPUT_TESTS})
@@ -161,11 +224,20 @@
                 ENVIRONMENT CMOCKA_MESSAGE_OUTPUT=${_TEST_OUTPUT_FMT}
             )
 
-            set_tests_properties(
-                    ${TEST_NAME}
-                    PROPERTIES
-                    PASS_REGULAR_EXPRESSION
-                    ${${TEST_NAME}_out}
-            )
+        list(LENGTH ${TEST_NAME}_out len)
+        list(GET ${TEST_NAME}_out 0 output)
+        if(len GREATER 1)
+            list(REMOVE_AT ${TEST_NAME}_out 0)
+            foreach(line ${${TEST_NAME}_out})
+                set(output "${output}[ \n\r]+${line}")
+            endforeach()
+        endif()
+
+        set_tests_properties(
+            ${TEST_NAME}
+            PROPERTIES
+            PASS_REGULAR_EXPRESSION
+            ${output}
+        )
     endforeach()
 endforeach()

=== debian/changelog ===
cmocka (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1 (Closes: #861266)
  * watch file:
    - match newer versions
    - Enable gpg signature for orig tarballs.
      (#731725 was solved in meanwhile)
  * Change my own mailaddress to hefee@debian.org
  * Updated VCS links to secure protocol
  * Update symbols for new version on amd64
  * Update multiarch metadata
  * Bump Standards-Version:
    - Change link to changelog format to secure version.
  * Bump compat level to 10 (No changes needed)
  * Add hardening=+all to rules.
  * Update signing key for orig tarballs

 -- Sandro Knauß <hefee@debian.org>  Tue, 04 Jul 2017 12:09:10 +0200

cmocka (1.0.1-3) unstable; urgency=medium

  * Do not run tests when building doc (Closes: #806610)
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Sun, 28 Aug 2016 16:53:27 -1000

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,18 @@
 Section: devel
 Priority: extra
 Maintainer: David Prévot <taffit@debian.org>
-Uploaders: Sandro Knauß <bugs@sandroknauss.de>
-Build-Depends: cmake, debhelper (>= 9)
+Uploaders: Sandro Knauß <hefee@debian.org>
+Build-Depends: cmake, debhelper (>= 10)
 Build-Depends-indep: doxygen
-Standards-Version: 3.9.6
+Standards-Version: 4.0.0
 Homepage: http://cmocka.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/cmocka.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/cmocka.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmocka.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmocka.git
 
 Package: cmocka-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-jquery, ${misc:Depends}
 Description: documentation for the CMocka unit testing framework
  This package contains the documentation and examples for CMocka.
@@ -48,6 +49,7 @@
 
 Package: libcmocka-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: libcmocka0 (= ${binary:Version}), ${misc:Depends}
 Recommends: cmocka-doc

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 %:
 	dh $@ --list-missing
@@ -13,6 +17,8 @@
 override_dh_auto_build-indep:
 	$(MAKE) -C obj-* doc
 
+override_dh_auto_test-indep:
+
 override_dh_link-arch:
 	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/libcmocka.so \
 		usr/lib/$(DEB_HOST_MULTIARCH)/libcmockery.so \

=== debian/watch ===
version=3
options=decompress,pgpsigurlmangle=s/xz$/asc/ \
https://cmocka.org/files/([\d.]+)/cmocka-(.*).tar.xz

## cmocka 1.1.2

=== debian/changelog ===
cmocka (1.1.2-1) unstable; urgency=medium

  [ Andreas Schneider ]
  * Bump version to 1.1.2

  [ Sandro Knauß ]
  * Cleanup changelog

  [ David Prévot ]
  * Update d/watch to currently signed file
  * Use priority optional
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.2.1
  * Use HTTPS URLs
  * Update copyright
  * Update documentation building rule
  * Update symbols file

 -- David Prévot <taffit@debian.org>  Thu, 30 Aug 2018 15:13:09 -1000

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: cmocka
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: David Prévot <taffit@debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>
 Build-Depends: cmake, debhelper (>= 10)
 Build-Depends-indep: doxygen
-Standards-Version: 4.0.0
-Homepage: http://cmocka.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/cmocka.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/cmocka.git
+Standards-Version: 4.2.1
+Homepage: https://cmocka.org/
+Vcs-Git: https://salsa.debian.org/debian/cmocka.git
+Vcs-Browser: https://salsa.debian.org/debian/cmocka
 
 Package: cmocka-doc
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 		-DUNIT_TESTING=ON
 
 override_dh_auto_build-indep:
-	$(MAKE) -C obj-* doc
+	$(MAKE) -C obj-* docs
 
 override_dh_auto_test-indep:
